haproxy:
  proxy:
    enabled: true
    nbproc: 4
    global:
      chroot: /var/lib/haproxy
      daemon: true
      gid: ''
      group: haproxy
      cpu-map:
      - '1 9'
      - '2 8'
      log:
      - '/dev/log local1'
      - '/dev/log local2 notice'
      log-send-hostname: ''
      nbproc: 5
      pidfile: '/var/run/new.pid'
      uid: ''
      ulimit-n: 12
      user: 'haproxy'
      stats:
      - 'socket /var/run/new.sock mode 660 level admin'
      - 'timeout 60s'
      - 'bind-process 2 3'
      - 'testing stat'
      node: NodeName
      description: Description
      maxconn: 99999
      maxpipes: 1234
      noepoll: 2345
      nokqueue: 3456
      nopoll: 4567
      nosepoll: 5678
      nosplice: 6789
      spread-checks: 6
      tune_bufsize: 18000
      tune_chksize: 7890
      tune_maxaccept: 8901
      tune_maxpollevents: 9012
      tune_maxrewrite: 2048
      tune_rcvbuf_client: 1245
      tune_rcvbuf_server: 2356
      tune_sndbuf_client: 3467
      tune_sndbuf_server: 4578
    cpu_map:
      1: 0
      2: 1
      3: 2
      4: 3
    stats_bind_process: "1 2"

# For haproxy/meta/sensu.yml
linux:
  network:
    fqdn: linux.ci.local
